body {
    padding: 0px;
    margin: 0px;
    background-color: #000;
    color: #fff;
    font-size: 30px;
    font-family: 'Montserrat', sans-serif;
}
canvas {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    z-index: 1;
    margin: auto;
}
.content {
    padding-left: 2em;
    width: 1280px;
    padding-top: 10em;
    height: 720px;
    box-sizing: border-box;
    text-align: center;
    color: #0066ff;
}
#table {
    color: #000;
    overflow-y: scroll;
    right:-30px;
    height: inherit;
    width: 25.5em;
}
.scroll {
    display: none;
    position: absolute;
    z-index: 100;
    width: 0.9em;
}
#ranking {
    height: 16em;
    width: 25em;
    margin-top: 185px;
    padding: 0px;
}
.row {
    display: flex;
    box-sizing: border-box;
    border-top: rgb( 0, 0, 255 ) 1px solid;
    border-right: rgb( 0, 0, 255 ) 1px solid;
    border-left: rgb( 0, 0, 255 ) 1px solid;
}
.column {
    width: 63%;
}
.column:first-child {
    width: 17%;
}
.column:last-child {
    width: 20%;
}
#header-ranking {
    width: 25em;
}
.container {
    position: absolute;
    top: 0;
    bottom: 0;
    background-color: #ffffff;
    left: 0;
    z-index: 100;
    right: 0;
    display: none;
    box-sizing: border-box;
    height: 10em;
    border-radius: 0.2em;
    width: 20em;
    padding: 0 0.9em;
    margin: auto;
    flex-wrap: wrap;
    overflow: hidden;
}
.container > div {
    height: inherit;
    width: inherit;
    top: -8px;
    overflow: hidden;
}
.back {
    display: none;
    position: absolute;
    left: 2.5em;
    z-index: 1000;
}
.gb {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    right: 0;
    display: none;
    box-sizing: border-box;
    height: 720px;
    width: 1280px;
    margin: auto auto;
}
p {
    color: #000033;
    font-size: 0.75em;
}
.info {
    font-size: 15px;
    padding: 0 0 0 140px;
    display: none;
}
#header-info {
    margin-left: -21px;
    margin-top: 20px;
    margin-bottom: 20px;
}
#message {
    color: #770044;
    padding: 0 0 0 115px;
    margin-top: -20px;
    font-size: 15px;
    display: none;
}
#restart {
    margin-top: 3em;
    margin-left: 3em;
}
#restart:focus {
    border: #770044 10px;
}
.header {
    margin: 2em 0em;
    color: #000066;
    font-weight: 900;
    font-size: 0.75em;
    text-align: center;
}
#true {
    float: left;
}
#regulations {
    font-size: 0.35em;
    float: left;
    margin-top: 0.45em;
    color: #000066;
    font-weight: 900;
}
#regulations:after {
    content: '';
    display: block;
    clear: both;
}
#menu {
    margin: 20px 140px;
}
#exit {
    margin-top: 1em;
    margin-left: 5em;
}
#mail {
    width: 40em;
    height: 3em;
    margin-bottom: 2em;
}
#nick {
    width: 18em;
    height: 3em;
    margin-bottom: 2em;
}
#save {
    float: left;
    margin-top: -1em;
}
#no-save {
    float: right;
    margin-top: -1em;
}
#no-save:after {
    content: '';
    display: block;
    clear: both;
}
#next {
    cursor: pointer;
}
.opacity {
    background-color: rgba( 255, 255, 255, 0 );
}
/* #version {
    z-index: 100;
    position: absolute;
    right: 0px;
    bottom: 0px;
    opacity: 0.5;
} */
@media (max-width: 1280px) and (orientation: landscape) {
    .gb {
        width: 21em;
        margin: auto auto;
        height: 7em;
    }
    .gb > .content {
        padding-left: 4em;
        padding-top: 0.75em;
        width: 19em;
        height: 7em;
    }
}
@media (max-width: 1218px) {
    .gb {
        width: 11em;
        margin: auto auto;
        height: 7em;
    }
    .gb > .content {
        padding-left: 0em;
        padding-top: 0.75em;
        width: inherit;
        height: inherit;
    }
    #ranking {
        width: 20em;
        margin-top: 5em;
        height: 14em;
    }
    #header-ranking {
        width: inherit;
    }
    .column {
        font-size: 0.75em;
    }
    #table {
        width: 20.5em;
    }
}
@media (max-width: 1024px) and (max-height: 768px) {
    /**/
}
@media all and (max-width: 912px) and (max-height: 340px) {
    #menuContent {
        width: 8em;
        height: 7.5em;
        margin-top: 2.5em;
    }
    #menuContent > .iconMenu {
        width: 6em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 5.3em;
    }
    .textBack {
        left: 8.5em;
        margin: 0;
    }
    #choiceOfHill {
        width: 8em;
        height: 6.5em;
        margin-top: 3.6em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
        margin-bottom: 0.2em;
    }
    #startContest {
        width: 7em;
        height: 2em;
        margin-top: 8em;
    }
    #startContest > img {
        width: 5em;
        height: 1.5em;
    }
    #ranking {
        width: 14em;
        margin-top: 4.4em;
        height: 7em;
    }
    #table {
        width: inherit;
    }
    #up {
        top: 5em;
        right: 7em;
    }
    #down {
        top: 6em;
        right: 7em;
    }
}
@media all and (max-width: 912px) and (max-height: 320px) {
    #menuContent {
        width: 7em;
        height: 6.7em;
        margin-top: 2.5em;
    }
    #menuContent > .iconMenu {
        width: 5.3em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 5.8em;
    }
    .textBack {
        left: 9.2em;
    }
    #choiceOfHill {
        width: 8em;
        height: 6.5em;
        margin-top: 3.15em;
    }
    #startContest {
        width: 7em;
        height: 2em;
        margin-top: 7.7em;
    }
}
@media all and (max-width: 912px) and (max-height: 300px) {
    #menuContent {
        width: 7em;
        height: 6.3em;
    }
    #menuContent > .iconMenu {
        width: 5em;
    }
    .back {
        left: 6.3em;
    }
    .textBack {
        left: 9.7em;
    }
    #choiceOfHill {
        width: 7em;
        height: 6em;
        margin-top: 3em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
    }
    #ranking {
        margin-top: 3.4em;
    }
}
@media all and (max-width: 846px) and (max-height: 414px) {
    #menuContent {
        margin: 3em 0em 0em 10em;
        width: 8em;
        height: 8em;
    }
    #menuContent > .iconMenu {
        width: 6em;
        margin-bottom: 0.25em;
    }
    #choiceOfHill {
        width: 9em;
        height: 8em;
        margin-top: 4.2em;
    }
    #choiceOfHill > .iconMenu {
        width: 7em;
        margin-bottom: 0.25em;
    }
    .back {
        left: 1.8em;
    }
    .textBack {
        margin: 0em 0em 0em 0em;
        left: 3.8em;
    }
    #ranking {
        width: 15em;
        margin-top: 3.5em;
        height: 10.4em;
    }
    #table {
        width: 15em;
    }
    #up {
        top: 6em;
        right: 4.5em;
    }
    #down {
        top: 7em;
        right: 4.5em;
    }
    #startContest {
        width: 6.5em;
        height: 1.5em;
        margin-top: 10em;
    }
    #startContest > img {
        width: 6em;
    }
    #restart {
        margin-top: 1em;
        margin-left: 1em;
    }
    #exit {
        margin-top: 0.5em;
        margin-left: 3.5em;
    }
    #infoTraining {
        width: 16em;
        height: 7em;
    }
    .info {
        padding: 0em 0em 0em 6em;
    }
}
@media all and (max-width: 846px) and (max-height: 394px) {
    #menuContent {
        margin: 3em 0em 0em 10em;
        width: 8em;
        height: 7.8em;
    }
    #menuContent > .iconMenu {
        width: 6em;
        margin-bottom: 0.15em;
    }
    .back {
        left: 2.5em;
    }
    .textBack {
        left: 4.8em;
    }
    #choiceOfHill {
        width: 9em;
        height: 8em;
        margin-top: 3.9em;
    }
}
@media all and (max-width: 846px) and (max-height: 374px) {
    #choiceOfHill {
        width: 9em;
        height: 8em;
        margin-top: 3.5em;
    }
    .back {
        left: 3.2em;
    }
    .textBack {
        left: 5.8em;
    }
    #startContest {
        width: 6.5em;
        height: 1.5em;
        margin-top: 9em;
    }
}
@media all and (max-width: 798px) and (max-height: 332px) {
    .back {
        left: 3.8em;
    }
    .textBack {
        left: 6.7em;
        margin: 0em;
    }
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 2.5em;
    }
    #infoTraining {
        width: 10em;
        height: 6em;
    }
    #restart {
        margin-top: 1.5em;
        margin-left: 0em;
        width: 8em;
    }
    #exit {
        margin-top: 0.5em;
        margin-left: 1.5em;
        width: 5em;
    }
    .info {
        font-size: 13px;
        padding: 0 0 0 18px;
    }
    #choiceOfHill {
        width: 8em;
        height: 6em;
        margin-top: 3.6em;
    }
    #startContest {
        width: 7em;
        height: 1.5em;
        margin-top: 8em;
    }
    #startContest > img {
        width: 5.2em;
    }
    #menuContent > .iconMenu {
        width: 5em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
    }
    .scroll {
        display: none;
        position: absolute;
        z-index: 100;
        width: 0.9em;
    }
    #up {
        top: 4em;
        right: 5.5em;
    }
    #down {
        top: 5em;
        right: 5.5em;
    }
    .gb {
        width: 13em;
        margin: auto 7em;
    }
    .gb > .content {
        padding-left: 0em;
        width: 13em;
    }
    #header-ranking {
        width: 12em;
    }
    .column {
        font-size: 0.5em;
    }
    #table {
        width: 12em;
    }
    #ranking {
        width: 12em;
        margin-top: 4em;
        height: 8.5em;
    }
}
@media all and (max-width: 798px) and (max-height: 312px) {
    .back {
        left: 4.2em;
    }
    .textBack {
        left: 7.2em;
        margin: 0em;
    }
    #choiceOfHill {
        width: 7.8em;
        height: 6em;
        margin-top: 3.25em;
    }
    #startContest {
        width: 7em;
        height: 1.5em;
        margin-top: 7.5em;
    }
}
@media all and (max-width: 798px) and (max-height: 292px) {
    .back {
        left: 4.8em;
    }
    .textBack {
        left: 7.7em;
        margin: 0em;
    }
    #menuContent {
        height: 6em;
        width: 7em;
        margin-top: 2.2em;
        margin-left: 10em;
    }
    #menuContent > .iconMenu {
        width: 4.5em;
    }
    #infoTraining {
        width: 10em;
        height: 6em;
    }
    #restart {
        margin-top: 1.5em;
        margin-left: 0em;
        width: 8em;
    }
    #exit {
        margin-top: 0.5em;
        margin-left: 1.5em;
        width: 5em;
    }
    .info {
        font-size: 13px;
        padding: 0 0 0 18px;
    }
    #choiceOfHill {
        width: 7.8em;
        height: 6em;
        margin-top: 2.9em;
    }
    #startContest {
        width: 6em;
        height: 1.5em;
        margin-top: 7em;
    }
    #startContest > img {
        width: 4.5em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
    }
    .scroll {
        display: none;
        position: absolute;
        z-index: 100;
        width: 0.9em;
    }
    #up {
        top: 4em;
        right: 5.5em;
    }
    #down {
        top: 5em;
        right: 5.5em;
    }
    .gb {
        width: 13em;
        margin: auto 7em;
    }
    .gb > .content {
        padding-left: 0em;
        width: 13em;
    }
    #header-ranking {
        width: 12em;
    }
    .column {
        font-size: 0.5em;
    }
    #table {
        width: 12em;
    }
    #ranking {
        width: 12em;
        margin-top: 4em;
        height: 8.5em;
    }
}
@media all and (max-width: 792px) and (max-height: 280px) {
    #menuContent {
        height: 6em;
        width: 7em;
        margin-top: 2.3em;
    }
    #menuContent > .iconMenu {
        width: 4em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 5.1em;
    }
    .textBack {
        left: 8.3em;
    }
    #choiceOfHill {
        width: 7em;
        height: 5.3em;
        margin-top: 2.9em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        margin-bottom: 0.1em;
    }
    #startContest > img {
        width: 4.5em;
        height: 1em;
    }
}
@media all and (max-width: 792px) and (max-height: 260px) {
    #menuContent {
        height: 6em;
        width: 7em;
        margin-top: 2em;
    }
    .back {
        left: 5.6em;
    }
    .textBack {
        left: 8.9em;
    }
    #choiceOfHill {
        width: 6.8em;
        height: 5.3em;
        margin-top: 2.55em;
    }
    #startContest {
        width: 6em;
        height: 1.5em;
        margin-top: 6.3em;
    }
    #up {
        top: 4em;
        right: 5.9em;
    }
    #down {
        top: 5em;
        right: 5.9em;
    }
}
@media all and (max-width: 792px) and (max-height: 240px) {
    #menuContent {
        height: 4.9em;
        width: 6em;
        margin-top: 1.9em;
        margin-left: 10.5em;
    }
    #menuContent > .iconMenu {
        width: 3.5em;
    }
    .back {
        left: 6.1em;
    }
    .textBack {
        left: 9.3em;
    }
    #choiceOfHill {
        width: 6em;
        height: 4.8em;
        margin-top: 2.37em;
    }
    #choiceOfHill > .iconMenu {
        width: 4em;
    }
    #startContest {
        margin-top: 5.8em;
    }
    #ranking {
        width: 11em;
        margin-top: 3em;
        height: 5em;
    }
    #table {
        width: inherit;
    }
    #up {
        right: 6.5em;
    }
    #down {
        right: 6.5em;
    }
}
@media all and (max-width: 740px) and (max-height: 360px) {
    .back {
        left: 2em;
    }
    .textBack {
        left: 4.3em;
    }
    #choiceOfHill {
        width: 9em;
        height: 7em;
        margin-top: 3.65em;
    }
    #ranking {
        height: 8.5em;
    }
    #menuContent {
        margin-left: 8em;
        margin-top: 3em;
    }
    .gb {
        margin: auto auto;
    }
    #startContest {
        margin-top: 8.7em;
        margin-left: 8.5em;
    }
    #down {
        top: 6em;
        right: 3.5em;
    }
    #up {
        top: 5em;
        right: 3.5em;
    }
}
@media all and (max-width: 740px) and (max-height: 340px) {
    .back {
        left: 2.5em;
    }
    .textBack {
        left: 4.7em;
    }
    /*element {
        height: 6.5em;
        margin-top: 3.2em;
    }*/
    #ranking {
        height: 8em;
    }
    #choiceOfHill {
        width: 9em;
        height: 7em;
        margin-top: 3.3em;
    }
    #menuContent {
        margin-left: 8.5em;
        margin-top: 3em;
    }
    .gb {
        margin: auto auto;
    }
    #startContest {
        margin-top: 8.3em;
    }
    #down {
        top: 6em;
    }
    #up {
        top: 5em;
    }
}
@media all and (max-width: 740px) and (max-height: 320px) {
    #menuContent {
        margin-left: 8.5em;
        margin-top: 2.4em;
    }
    .back {
        left: 3em;
    }
    .textBack {
        left: 5.4em;
    }
    #choiceOfHill {
        width: 7.9em;
        height: 6em;
        margin-top: 3.4em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
        margin-bottom: 0.15em;
    }
    #startContest {
        margin-top: 7.7em;
    }
    #up {
        top: 5em;
        right: 4.5em;
    }
    #down {
        top: 6em;
        right: 4.5em;
    }
}
@media all and (max-width: 740px) and (max-height: 288px) {
    #menuContent {
        margin-left: 8.8em;
        margin-top: 2.2em;
        height: 6em;
    }
    #menuContent > .iconMenu {
        width: 4.8em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 4em;
    }
    .textBack {
        left: 6.7em;
    }
    #choiceOfHill {
        width: 9em;
        height: 5.5em;
        margin-top: 3em;
        margin-left: 8.7em;
    }    
    #choiceOfHill > .iconMenu {
        width: 5.5em;
    }
    #startContest {
        margin-top: 7em;
        margin-left: 9em;
    }
    #startContest > img {
        height: 1em;
    }
    #ranking {
        width: 12em;
        margin-top: 4em;
        height: 5.5em;
    }
    #up {
        right: 4.7em;
    }
    #down {
        right: 4.7em;
    }
}
@media all and (max-width: 740px) and (max-height: 279px) {
    #choiceOfHill {
        width: 9em;
        height: 5.5em;
        margin-top: 2.8em;
        margin-left: 8.7em;
    }
    .back {
        left: 4.1em;
    }
    .textBack {
        left: 6.7em;
    }
    #ranking {
        width: 12em;
        margin-top: 3.9em;
        height: 5.5em;
    }
}
@media all and (max-width: 740px) and (max-height: 268px) {
    #menuContent {
        margin-left: 8.8em;
        margin-top: 2em;
        height: 6em;
    }
    #choiceOfHill {
        width: 9em;
        height: 5.5em;
        margin-top: 2.6em;
        margin-left: 8.7em;
    }
    .back {
        left: 4.5em;
    }
    .textBack {
        left: 7.3em;
    }
    #startContest {
        margin-top: 6.6em;
        margin-left: 9em;
    }
    #ranking {
        width: 12em;
        margin-top: 3.5em;
        height: 5.5em;
    }
}
@media all and (max-width: 740px) and (max-height: 259px) {
    #menuContent {
        margin-left: 8.8em;
        margin-top: 1.9em;
        height: 6em;
    }
    .back {
        left: 4.7em;
    }
    .textBack {
        left: 7.7em;
    }
    #choiceOfHill {
        width: 9em;
        height: 5em;
        margin-top: 2.65em;
        margin-left: 8.9em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
    }
    #startContest {
        margin-top: 6.35em;
        margin-left: 9em;
    }
    #ranking {
        width: 12em;
        margin-top: 3.2em;
        height: 5.5em;
    }
    #up {
        right: 5.1em;
    }
    #down {
        right: 5.1em;
    }
}
@media all and (max-width: 740px) and (max-height: 248px) {
    #menuContent {
        margin-left: 9.4em;
        margin-top: 1.8em;
        height: 5.3em;
    }
    #menuContent > .iconMenu {
        width: 4em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 5em;
    }
    .textBack {
        left: 8em;
    }
    #choiceOfHill {
        width: 9em;
        height: 5em;
        margin-top: 2.45em;
        margin-left: 9.1em;
    }
    #choiceOfHill > .iconMenu {
        width: 4.7em;
    }
    #startContest {
        margin-top: 6em;
    }
    #ranking {
        width: 10em;
        margin-top: 3em;
        height: 5.5em;
    }
    #header-ranking {
        width: inherit;
    }
    #table {
        width: inherit;
    }
    #up {
        right: 5.7em;
    }
    #down {
        right: 5.7em;
    }    
}
@media all and (max-width: 740px) and (max-height: 239px) {
    .back {
        left: 5.35em;
    }
    .textBack {
        left: 8.5em;
    }
    #choiceOfHill {
        width: 9em;
        height: 4.6em;
        margin-top: 2.45em;
        margin-left: 9.1em;
    }
    #startContest {
        margin-top: 5.75em;
    }
    #ranking {
        width: 10em;
        margin-top: 2.6em;
        height: 5.5em;
    }
    #up {
        right: 5.9em;
        top: 4em;
    }
    #down {
        right: 5.9em;
        top: 5em;
    }
}
@media all and (max-width: 732px) and (max-height: 340px) {
    #menuContent > .iconMenu {
        margin-bottom: 0.15em;
    }
    #menuContent {
        margin-left: 8.3em;
        flex-wrap: wrap;
    }
    #choiceOfHill {
        height: 6.5em;
        margin-top: 3.5em;
        margin-left: 7.8em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.2em;
    }
    .back {
        left: 2.3em;
    }
    .textBack {
        left: 4.7em;
    }
    #startContest {
        margin-top: 8.3em;
    }
    #ranking {
        height: 7.6em;
    }
    #up {
        right: 3em;
    }
    #down {
        right: 3em;
    }
}
@media all and (max-width: 732px) and (max-height: 320px) {
    #menuContent {
        margin-left: 8.8em;
    }
    .back {
        left: 2.9em;
    }
    .textBack {
        left: 5.3em;
    }
    #choiceOfHill {
        height: 6.5em;
        margin-top: 3.2em;
        margin-left: 8.3em;
    }
    #startContest {
        margin-top: 7.7em;
    }
}
@media all and (max-width: 732px) and (max-height: 300px) {
    #menuContent > .iconMenu {
        margin-bottom: 0.15em;
    }
    #menuContent {
        margin-left: 9em;
        flex-wrap: wrap;
    }
    #choiceOfHill {
        height: 6.5em;
        margin-top: 2.8em;
        margin-left: 8.3em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.2em;
    }
    .back {
        left: 3.3em;
    }
    #up {
        right: 4.5em;
    }
    #down {
        right: 4.5em;
    }
    .textBack {
        left: 5.7em;
    }
    #startContest {
        margin-top: 7.3em;
    }
    #ranking {
        height: 7.6em;
        margin-top: 2.4em;
    }
}
@media all and (max-width: 724px) and (max-height: 266px) {
    #menuContent {
        margin-left: 8.8em;
        margin-top: 2em;
        height: 5.8em;
    }
    #menuContent > .iconMenu {
        width: 4.4em;
    }
    .back {
        left: 4.3em;
    }
    .textBack {
        left: 7em;
    }
    #choiceOfHill {
        height: 5.1em;
        margin-top: 2.7em;
        margin-left: 8.7em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        margin-bottom: 0.1em;
    }
}
@media all and (max-width: 724px) and (max-height: 246px) {
    #menuContent {
        margin-left: 8.8em;
        margin-top: 1.85em;
        height: 5.8em;
    }
    .back {
        left: 4.9em;
    }
    .textBack {
        left: 8em;
    }
    #choiceOfHill {
        height: 5.1em;
        margin-top: 2.35em;
        margin-left: 8.7em;
    }
    #startContest {
        margin-top: 5.9em;
    }
    #up {
        right: 5.5em;
    }
    #down {
        right: 5.5em;
    }
}
@media all and (max-width: 724px) and (max-height: 226px) {
    #menuContent {
        margin-left: 9.1em;
        margin-top: 1.65em;
        height: 4.9em;
    }
    #menuContent > .iconMenu {
        width: 3.9em;
        margin-bottom: 0.1em;
    }
    .back {
        left: 5.5em;
    }
    .textBack {
        left: 8.7em;
    }
    #choiceOfHill {
        height: 4.5em;
        margin-top: 2.25em;
        margin-left: 9.1em;
    }
    #choiceOfHill > .iconMenu {
        width: 4.2em;
        margin-bottom: 0.1em;
    }
    #startContest {
        margin-top: 5.4em;
    }
    #up {
        right: 5.8em;
    }
    #down {
        right: 5.8em;
    }
}
@media all and (max-width: 704px) and (max-height: 312px) {
    #menuContent {
        margin-left: 8.35em;
        height: 6em;
    }
    #menuContent > .iconMenu {
        width: 4.65em;
    }
    .back {
        left: 2.55em;
    }
    .textBack {
        left: 4.8em;
    }
    #choiceOfHill {
        height: 6.5em;
        margin-top: 3em;
        margin-left: 7.85em;
    }
    #startContest {
        margin-top: 7.5em;
    }
    #ranking {
        width: 12em;
        margin-top: 3.5em;
        height: 6.9em;
    }
    #up {
        right: 4em;
    }
    #down {
        right: 4em;
    }
}
@media all and (max-width: 704px) and (max-height: 292px) {
    #menuContent {
        margin-top: 2.15em;
    }
    .back {
        left: 3.15em;
    }
    .textBack {
        left: 5.6em;
    }
    #choiceOfHill {
        height: 5.8em;
        margin-top: 2.95em;
        margin-left: 8em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.15em;
        width: 5.75em;
    }
    #startContest {
        width: 6em;
        height: 1.2em;
        margin-top: 7em;
    }
    #startContest > img {
        height: 1.2em;
    }
    #ranking {
        width: 12em;
        margin-top: 2.9em;
        height: 6.9em;
    }
}
@media all and (max-width: 704px) and (max-height: 272px) {
    #menuContent {
        margin-top: 2em;
    }
    .back {
        left: 3.8em;
    }
    .textBack {
        left: 6.4em;
    }
    #choiceOfHill {
        height: 5.2em;
        margin-top: 2.82em;
        margin-left: 8.25em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.10em;
        width: 5.25em;
    }
    #startContest {
        width: 6em;
        height: 1.2em;
        margin-top: 6.6em;
        margin-left: 8.7em;
    }
}
@media all and (max-width: 672px) and (max-height: 288px) {
    #menuContent {
        margin-left: 8.3em;
        margin-top: 2.4em;
        height: 6em;
        width: 5em;
    }
    #menuContent > .iconMenu {
        width: 4em;
    }
    .back {
        left: 2.8em;
    }
    .textBack {
        left: 5em;
    }
    #choiceOfHill {
        height: 5.5em;
        margin-top: 3em;
        margin-left: 7.8em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        margin-bottom: 0.2em;
    }
    #startContest {
        margin-top: 7.3em;
        height: 1em;
    }
    #startContest > img {
        width: 3.5em;
        height: 1em;
    }
    #up {
        right: 4em;
    }
    #down {
        right: 4em;
    }
}
@media all and (max-width: 672px) and (max-height: 268px) {
    #menuContent {
        margin-left: 8.3em;
        margin-top: 2.1em;
        height: 6em;
        width: 5em;
    }
    .back {
        left: 3.4em;
    }
    .textBack {
        left: 6em;
    }
    #choiceOfHill {
        height: 5.5em;
        margin-top: 2.65em;
        margin-left: 7.8em;
    }
}
@media all and (max-width: 672px) and (max-height: 248px) {
    #menuContent {
        margin-left: 8.5em;
        margin-top: 1.9em;
        height: 5em;    
    }
    #menuContent > .iconMenu {
        width: 3.5em;
    }
    .back {
        left: 4em;
    }
    .textBack {
        left: 6.7em;
    }
    #choiceOfHill {
        height: 5em;
        margin-top: 2.5em;
        margin-left: 8.1em;
    }
    #choiceOfHill > .iconMenu {
        width: 4.5em;
    }
    #startContest {
        margin-top: 6em;
    }
}
@media all and (max-width: 667px) and (max-height: 375px) {
    .gb {
        width: 10em;
    }
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 3.5em;
        margin-left: 7.75em;
    }
    #menuContent > .iconMenu {
        width: 5em;
        height: 1.2em;
    }
    #choiceOfHill {
        height: 7em;
        margin-top: 4em;
        margin-left: 6.8em;
    }
    #choiceOfHill > .iconMenu {
        width: 7em;
        height: 1.2em;
    }
    .back {
        left: 0em;
    }
    .textBack {
        left: 1.5em;
    }
    #startContest {
        margin-top: 9.2em;
    }
    #ranking {
        margin-top: 4.5em;
        margin-left: 3.5em;
        width: 15em;
        height: 7.8em;
    }
    #up {
        top: 6em;
        right: 2.5em;
    }
    #down {
        top: 7em;
        right: 2.5em;
    }
    .container {
        height: 8em;
        width: 15em;
    }
    #header-info {
        width: 13em;
    }
    #mail {
        width: 28.5em;
    }
    #regulations {
        font-size: 0.40em;
    }
    #save {
        margin-top: 0em;
    }
    #no-save {
        margin-top: 0em;
    }
    #infoTraining {
        width: 12em;
        height: 7em;
    }
    #restart {
        width: 10em;
    }
    #exit {
        margin-left: 2em;
        width: 6em;
    }
    .info {
        font-size: 16px;
    }
}
@media all and (max-width: 667px) and (max-height: 355px) {
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 2.9em;
        margin-left: 7.75em;
    }
    .back {
        left: 0.7em;
    }
    .textBack {
        left: 2.3em;
    }
    #choiceOfHill {
        height: 7em;
        margin-top: 3.5em;
        margin-left: 6.7em;
    }
    #startContest {
        margin-top: 8.6em;
        margin-left: 7.5em;
    }
    #up {
        right: 2em;
    }
    #down {
        right: 2em;
    }
}
@media all and (max-width: 667px) and (max-height: 335px) {
    .back {
        left: 1.5em;
    }
    .textBack {
        left: 3.5em;
    }
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 3em;
    }
    #startContest {
        margin-top: 8em;
        margin-left: 7.5em;
    }
    /* #menuContent > .iconMenu {
        width: 5em;
    } */
    #choiceOfHill {
        height: 6em;
        margin-top: 3.6em;
        margin-left: 7.2em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
        height: 1em;
    }
    .scroll {
        display: none;
        position: absolute;
        z-index: 100;
        width: 0.9em;
    }
    #up {
        top: 4em;
        right: 3em;
    }
    #down {
        top: 5em;
        right: 3em;
    }
    .gb > .content {
        padding-left: 0em;
        width: 10em;
    }
    #header-ranking {
        width: inherit;
    }
    .container {
        height: 6em;
        width: 11em;
    }
    #restart {
        margin-top: 1em;
        margin-left: 0.1em;
        width: 9em;
    }
    #restart {
        width: 8em;
    }
    #exit {
        margin-left: 1.6em;
    }
    #ranking > div {
        width: inherit;
    }
    .row {
        width: inherit;
    }
    .column {
        font-size: 0.45em;
    }
    #table {
        width: inherit;
    }
    #ranking {
        margin-top: 3.5em;
        margin-left: 3.5em;
        width: 14em;
        height: 7.5em;
    }
    #header-info {
        width: 9em;
        margin-left: 0px;
    }
    #mail {
        width: 20.5em;
        height: 20px;
        margin-bottom: 0.1em;
    }
    #regulations {
        width: 30em;
        font-size: 0.20em;
    }
    #save {
        width: 120px;
    }
    #no-save {
        width: 150px;
    }
}
@media all and (max-width: 667px) and (max-height: 283px) {
    #menuContent {
        height: 6.5em;
        width: 7em;
        margin-top: 2em;
    }
    #menuContent > .iconMenu {
        width: 4.7em;
        height: 1.1em;
    }
    .back {
        left: 2.9em;
    }
    .textBack {
        left: 5.3em;
    }
    #choiceOfHill {
        height: 5.5em;
        margin-top: 2.9em;
        margin-left: 7.7em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        height: 0.9em;
    }
    #startContest {
        margin-top: 7em;
        margin-left: 8em;
    }
    #ranking {
        margin-top: 3em;
        margin-left: 4.7em;
        width: 12em;
        height: 6.3em;
    }
    #up {
        right: 4em;
    }
    #down {
        right: 4em;
    }    
}
@media all and (max-width: 667px) and (max-height: 263px) {
    #menuContent > .iconMenu {
        width: 4.5em;
        height: 1.0em;
    }
    .back {
        left: 3.5em;
    }
    .textBack {
        left: 6em;
    }
    #choiceOfHill {
        height: 5.5em;
        margin-top: 2.55em;
        margin-left: 7.7em;
    }
    #startContest {
        margin-top: 6.5em;
        margin-left: 8.5em;
    }
}
@media all and (max-width: 667px) and (max-height: 243px) {
    #menuContent {
        height: 5.5em;
        width: 6em;
        margin-top: 2em;
    }
    #menuContent > .iconMenu {
        width: 4em;
        height: 0.95em;
    }
    .back {
        left: 4em;
    }
    .textBack {
        left: 6.5em;
    }
    #choiceOfHill {
        height: 5em;
        margin-top: 2.4em;
        margin-left: 7.75em;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        height: 0.8em;
    }
    #startContest {
        margin-top: 6em;
        margin-left: 8em;
    }
    #ranking {
        margin-top: 2.5em;
        margin-left: 5.5em;
        width: 11em;
        height: 5.5em;
    }
    #up {
        right: 4.5em;
    }
    #down {
        right: 4.5em;
    }
}
@media all and (max-width: 650px) {
    /* .back {
        left: 2.5em;
    }
    .textBack {
        left: 4.5em;
    } */
    #menuContent {
        height: 6em;
        width: 6em;
        margin-top: 2.5em;
    }
    #menuContent > .iconMenu {
        width: 4em;
    }
    #choiceOfHill > .iconMenu {
        width: 6em;
    }
    .scroll {
        display: none;
        position: absolute;
        z-index: 100;
        width: 0.9em;
    }
    .gb {
        width: 21em;
        margin: auto 0;
        height: 7em;
    }
    .gb > .content {
        padding-left: 2em;
        padding-top: 0.75em;
        width: 19em;
        height: 7em;
    }
    #choiceOfHill {
        margin-top: 2.58em;
        margin-left: 6.75em;
        width: 7.5em;
        height: 6.75em;
    }
    #header-ranking {
        width: inherit;
    }
    #table {
        width: inherit;
    }
    #ranking > div {
        width: inherit;
    }
    .row {
        width: inherit;
    }
    .column {
        font-size: 0.45em;
    }
    .container {
        height: 7em;
        width: 12em;
    }
    #infoRotate {
        padding-top: 2em;
        text-align: center;
    }
    #restart {
        margin-top: 1em;
        margin-left: 0.1em;
        width: 10em;
    }
    #exit {
        margin-top: 1em;
        margin-left: 2.6em;
        width: 5em;
    }
    .info {
        padding: 0px 0px 0px 25px;
        color: rgba( 0, 8, 34, 0.8 );
        font-size: 14px;
    }
    #header-info {
        width: 330px;
        margin-left: 0px;
    }
    #mail {
        width: 300px;
        height: 20px;
        margin-bottom: 10px;
    }
    #regulations {
        font-size: 0.35em;
        width: 280px;
    }
    #save {
        width: 120px;
    }
    #no-save {
        width: 150px;
    }
    .header {
        font-size: 0.45em;
    }
    #menu {
        margin: 20px 2em;
        width: 6em;
    }
}
@media all and (max-width: 640px) and (max-height: 384px) {
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 2.5em;
        margin-left: 7em;
    }
    #menuContent > .iconMenu {
        width: 5em;
    }
    #choiceOfHill {
        width: 8em;
        height: 6.7em;
        margin-top: 3.8em;
        margin-left: 6.8em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.2em;
    }
    .back {
        left: 0em;
        margin-left: 0em;
    }
    .textBack {
        left: 1.5em;
    }
    #startContest {
        margin-top: 8.5em;
    }
    #ranking {
        margin-top: 3.5em;
        margin-left: 4em;
        width: 13em;
        height: 7.7em;
    }
    #down {
        top: 5em;
        right: 3em;
    }
    #up {
        top: 4em;
        right: 3em;
    }
    .container {
        width: 16em;
        height: 9em;
    }
    #header-info {
        width: 14em;
    }
    #mail {
        width: 29em;
    }
    #regulations {
        font-size: 0.45em;
        width: 30em;
    }
    #message {
        padding: 0em 0em 1em 4em;
    }
    #info {
        padding: 0em 0em 0em 2em;
    }
    #exit {
        margin-top: 0.5em;
    }
    #infoTraining {
        width: 12em;
        height: 7em;
    }
    #save {
        margin-top: 0em;
    }
    #no-save {
        margin-top: 0em;
    }
 
}
@media all and (max-width: 640px) and (max-height: 344px) {
    #menuContent {
        height: 8em;
        width: 8em;
        margin-top: 2.5em;
        margin-left: 7em;
    }
    #menuContent > .iconMenu {
        width: 6em;
    }
    #choiceOfHill {
        width: 8em;
        height: 6.7em;
        margin-top: 3.8em;
        margin-left: 6.8em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.2em;
    }
    .back {
        left: 0em;
        margin-left: 0em;
    }
    .textBack {
        left: 2em;
    }
    #startContest {
        margin-top: 8.3em;
        margin-left: 7em;
    }
    #ranking {
        margin-top: 3.5em;
        margin-left: 4em;
        width: 13em;
        height: 8em;
    }
    #down {
        top: 5em;
        right: 3em;
    }
    #up {
        top: 4em;
        right: 3em;
    }
    .container {
        width: 16em;
        height: 9em;
    }
    #header-info {
        width: 14em;
    }
    #mail {
        width: 29em;
    }
    #regulations {
        font-size: 0.45em;
        width: 30em;
    }
    #message {
        padding: 0em 0em 1em 4em;
    }
    #info {
        padding: 0em 0em 0em 2em;
    }
    #exit {
        margin-top: 0.5em;
    }
    #infoTraining {
        width: 12em;
        height: 7em;
    }
    #save {
        margin-top: 0em;
    }
    #no-save {
        margin-top: 0em;
    }
 
}
@media all and (max-width: 640px) and (max-height: 360px) {
    .back {
        left: 0em;
    }
    .textBack {
        left: 1.5em;
    }
    #menuContent {
        margin-top: 3.5em;
    }
    #choiceOfHill {
        height: 6.7em;
    }
    #choiceOfHill > .iconMenu {
        margin-bottom: 0.2em;
    }
    #startContest {
        margin-top: 8.75em;
        margin-left: 7em;
    }
    #ranking {
        margin-top: 4.5em;
        height: 7.2em;
    }
    #down {
        top: 6em;
    }
    #up {
        top: 5em;
    }
    #infoTraining {
        width: 12em;
    }
}
@media all and (max-width: 640px) and (max-height: 288px) {
    #menuContent > .iconMenu {
        margin: 0em 0em 0.15em 0em;
    }
    #menuContent {
        margin-top: 2em;
        flex-wrap: wrap;
    }
    #choiceOfHill > .iconMenu {
        width: 5em;
        margin-bottom: 0.25em;
    }
    #choiceOfHill {
        margin-top: 2.8em;
        margin-left: 7.3em;
        width: 7.5em;
        height: 6em;
        flex-wrap: wrap;
    }
    .back {
        left: 2.1em;
    }
    .textBack {
        left: 4.1em;
    }
    #startContest {
        margin-top: 7em;
        margin-left: 7.5em;
        width: 6.35em;
        height: 1.15em;
    }
    #startContest > img {
        width: 4.5em;
    }
}
@media all and (max-width: 640px) and (max-height: 279px) {
    #startContest {
        margin-top: 6.8em;
        width: 6.3em;
        height: 1.1em;
        margin-left: 7.5em;
    }
    #startContest > img {
        width: 4.5em;
    }
    #header-info {
        width: 10em;
    }
    #ranking {
        margin-top: 2.5em;
        margin-left: 5.5em;
        width: 10em;
        height: 6.5em;
    }
    #down {
        top: 5em;
        right: 4.5em;
    }
    #up {
        top: 4em;
        right: 4.5em;
    }
    .back {
        left: 2.5em;
    }
    .textBack {
        left: 5em;
    }
    #choiceOfHill {
        margin-top: 2.5em;
        margin-left: 7.3em;
        width: 7.5em;
        height: 6em;
        flex-wrap: wrap;
        align-content: center;
    }
    #choiceOfHill > .iconMenu {
        height: 0.8em;
        margin-bottom: 0.25em;
    }
    #menuContent {
        height: 6.5em;
        width: 7.5em;
        margin-top: 2em;
        margin-left: 7.2em;
    }
    #menuContent > .iconMenu {
        margin-bottom: 0.12em;
        width: 5em;
        height: 1.1em;
    }
    #save {
        margin-top: -1em;
    }
    #no-save {
        margin-top: -1em;
    }
}
@media all and (max-width: 630px) {
    .back {
        display: none;
        position: absolute;
        left: 2.5em;
        z-index: 1000;
    }
    .back:last-of-type {
        top: 0em;
    }
    .iconMenu {
        width: 6em;
    }
    body {
        font-size: 20px;
    }
    #ranking {
        margin-top: 4em;
        margin-left: 7.5em;
        width: 15em;
        height: 10em;
    }
    #header-ranking {
        width: 15em;
    }
    #table {
        width: 15.4em;
        height: inherit;
    }
    #ranking > div {
        width: inherit;
        height: inherit;
    }
    .row {
        width: inherit;
    }
    .column {
        font-size: 0.75em;
        width: 59%
    }
}
@media all and (max-width: 370px) {
    .gb {
        width: 12em;
    }
    .gb > .content {
        padding: 0px;
        width: 12em;
    }
    .container {
        width: 10em;
        height: 7em;
        padding: 0 0.1em;
    }
    #restart {
        margin-top: 1.6em;
        margin-left: 0.1em;
        width: 9.6em;
    }
    #exit {
        margin-top: 0.5em;
        margin-left: 1.7em;
        width: 6em;
    }
    #header-info {
        margin-left: 0.5em;
        width: 9em;
    }
    #mail {
        width: 21em;
        height: 2em;
        margin-bottom: 0.2em;
        margin-left: 5px;
    }
    #regulations {
        word-wrap: break-word;
        max-width: 100%;
        width: 25em;
    }
    #save {
        margin-top: -0.8em;
        width: 4em;
    }
    #no-save {
        margin-top: -0.8em;
        width: 5em;
    }
    #message {
        padding: 0 0 0 1em;
        width: 17em;
    }
    .header {
        font-size: 0.45em;
    }
    #menu {
        margin: 20px 2em;
        width: 6em;
    }
}
@media all and (max-width: 320px) and (max-height: 240px) {
    #menuContent {
        height: 7em;
        width: 7em;
        margin-top: 4.5em;
    }
    #choiceOfHill {
        margin-top: 5.08em;
        margin-left: 7.35em;
        width: 8.5em;
        height: 6.75em;
    }
    #choiceOfHill > .iconMenu {
        width: 6.5em;
    }
    .back {
        left: 0.5em;
    }
    .backText {
        left: 2em;
        font-size: 1em;
    }
    #menuContent > .iconMenu {
        width: 5em;
    }
    #startContest {
        margin-top: 10em;
    }
    #header-ranking {
        width: 11em;
    }
    #table {
        width: 11em;
    }
    #ranking {
        margin-left: 4.5em;
        width: 11em;
    }
    #down {
        top: 8em;
    }
    #up {
        top: 7em;
    }
    .container {
        height: 9em;
        width: 18em;
    }
    #infoTraining {
        width: 12em;
        height: 7em;
    }
}
/* @media ( max-height: 632px ) and ( min-width: 1280px ) {
    #ranking {
        height: 14.5em;
    }
    #ranking > div {
        height: 14.5em;
    }
    #table {
        height: 14.5em;
    }
} */